Update a salary scale with data provided in the request body. JSON format is expected. Department ID cannot be changed.
PUT
/data/salary-scales/{instance_id}
curl
curl -X PUT "http://api.example.com/data/salary-scales/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"rate": 55
}'
import requests
url = "http://api.example.com/data/salary-scales/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"rate": 55
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request PUT 'http://api.example.com/data/salary-scales/a24a6ea4-ce75-4665-a070-57453082c25' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"rate":55.0}'
Request examples
{
"rate": 55.0
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"department_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"position": "artist",
"seniority": "junior",
"rate": 55.0,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}